﻿Imports System.Windows.Automation.Peers
Imports System.Windows.Automation.Provider
Imports System.Windows.Automation
Public Class AutomationWindow
    Dim aWindow As MainWindow
    Private Sub AutomationWindow_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        aWindow = New MainWindow
        aWindow.Show()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Dim RBAutomationPeer As New RadioButtonAutomationPeer(aWindow.RadioButton2)
        Dim SelectProvider As ISelectionItemProvider
        SelectProvider = RBAutomationPeer.GetPattern(PatternInterface.SelectionItem)
        SelectProvider.Select()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button2.Click
        Dim CBAutomationPeer1 As New CheckBoxAutomationPeer(aWindow.CheckBox1)
        Dim CBAutomationPeer2 As New CheckBoxAutomationPeer(aWindow.CheckBox2)
        Dim ToggProvider1 As IToggleProvider
        Dim ToggProvider2 As IToggleProvider
        ToggProvider1 = CBAutomationPeer1.GetPattern(PatternInterface.Toggle)
        ToggProvider2 = CBAutomationPeer2.GetPattern(PatternInterface.Toggle)
        ToggProvider1.Toggle()
        ToggProvider2.Toggle()
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button3.Click
        Dim LBAutomationPeer As New ListBoxAutomationPeer(aWindow.ListBox1)
        Dim ScrProvider As IScrollProvider
        ScrProvider = LBAutomationPeer.GetPattern(PatternInterface.Scroll)
        ScrProvider.Scroll(ScrollAmount.NoAmount, ScrollAmount.LargeIncrement)
        ScrProvider.Scroll(ScrollAmount.NoAmount, ScrollAmount.LargeIncrement)
        Dim LBIAutomationPeer As New ListBoxItemAutomationPeer(aWindow.ListBox1.Items(3), LBAutomationPeer)
        Dim SelItemProvider As ISelectionItemProvider
        SelItemProvider = LBIAutomationPeer.GetPattern(PatternInterface.SelectionItem)
        SelItemProvider.Select()
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button4.Click
        Dim BAutomationPeer As New Automation.Peers.ButtonAutomationPeer(aWindow.Button1)
        Dim InvProvider As IInvokeProvider
        InvProvider = BAutomationPeer.GetPattern(PatternInterface.Invoke)
        InvProvider.Invoke()
    End Sub
End Class
