﻿Class MainWindow 
    Dim aset As NwindDataSet = New NwindDataSet()
    Dim custAdap As NwindDataSetTableAdapters.CustomersTableAdapter = New NwindDataSetTableAdapters.CustomersTableAdapter()
    Dim ordAdap As NwindDataSetTableAdapters.OrdersTableAdapter = New NwindDataSetTableAdapters.OrdersTableAdapter()
    Dim ord_det_extAdap As NwindDataSetTableAdapters.Order_Details_ExtendedTableAdapter = New NwindDataSetTableAdapters.Order_Details_ExtendedTableAdapter()
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        custAdap.Fill(aset.Customers)
        ordAdap.Fill(aset.Orders)
        ord_det_extAdap.Fill(aset.Order_Details_Extended)
        Grid1.DataContext = aset.Customers
        Dim aView As System.ComponentModel.ICollectionView
        aView = CollectionViewSource.GetDefaultView(aset.Customers)
        aView.GroupDescriptions.Add(New PropertyGroupDescription("Country", New CountryGrouper()))
        aView.SortDescriptions.Add(New System.ComponentModel.SortDescription("Country", ComponentModel.ListSortDirection.Ascending))
    End Sub

End Class

Public Class CountryGrouper
    Implements IValueConverter

    Public Function Convert(ByVal value As Object, ByVal targetType As System.Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
        Dim country As String = value.ToString()
        Return "Country: " & country
    End Function

    Public Function ConvertBack(ByVal value As Object, ByVal targetType As System.Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
        Throw New NotImplementedException()
    End Function
End Class
