﻿Public Class Form1

    Private Sub CustomersBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomersBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.CustomersBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.NwindDataSet)

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'NwindDataSet.Customers' table. You can move, or remove it, as needed.
        Me.CustomersTableAdapter.Fill(Me.NwindDataSet.Customers)
        ' Add a new column to the Customers DataTable 
        ' to be used to demonstrate adding and removing 
        ' columns in a DataGridView in the methods below 
        Dim Location As New DataColumn("Location")
        Location.Expression = "City + ', ' + Country"
        NwindDataSet.Customers.Columns.Add(Location)


    End Sub

    Private Sub AddColumnButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AddColumnButton.Click
        Dim LocationColumn As New DataGridViewTextBoxColumn
        LocationColumn.Name = "LocationColumn"
        LocationColumn.HeaderText = "Location"
        LocationColumn.DataPropertyName = "Location"
        CustomersDataGridView.Columns.Add(LocationColumn)
    End Sub

    Private Sub DeleteColumnButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeleteColumnButton.Click
        Try
            CustomersDataGridView.Columns.Remove("LocationColumn")
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub GetClickedCellButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetClickedCellButton.Click
        Dim CurrentCellInfo As String
        CurrentCellInfo = _
            CustomersDataGridView.CurrentCell.Value.ToString & _
            Environment.NewLine
        CurrentCellInfo += "Column: " & _
            CustomersDataGridView.CurrentCell.OwningColumn.DataPropertyName & _
            Environment.NewLine
        CurrentCellInfo += "Column Index: " & CustomersDataGridView.CurrentCell.ColumnIndex.ToString & _
            Environment.NewLine
        CurrentCellInfo += "Row Index: " & _
            CustomersDataGridView.CurrentCell.RowIndex.ToString

        Label1.Text = CurrentCellInfo

    End Sub

    Private Sub CustomersDataGridView_CellValidating(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellValidatingEventArgs) Handles CustomersDataGridView.CellValidating
        If CustomersDataGridView.Columns(e.ColumnIndex).DataPropertyName = _
    "ContactName" Then
            If e.FormattedValue.ToString = "" Then
                CustomersDataGridView.Rows(e.RowIndex).ErrorText = _
                    "ContactName is a required field"
                e.Cancel = True
            Else
                CustomersDataGridView.Rows(e.RowIndex).ErrorText = ""
            End If
        End If

    End Sub

    Private Sub ApplyStyleButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ApplyStyleButton.Click
        CustomersDataGridView.AlternatingRowsDefaultCellStyle.BackColor = Color.LightGray

    End Sub
End Class
