﻿Class MainWindow 

End Class
Public Class Customer
    Implements System.ComponentModel.IDataErrorInfo
    Private mFirstName As String = ""
    Public Property FirstName As String
        Get
            Return mFirstName
        End Get
        Set(ByVal value As String)
            mFirstName = value
        End Set
    End Property
    Private mLastName As String = ""
    Public Property LastName As String
        Get
            Return mLastName
        End Get
        Set(ByVal value As String)
            mLastName = value
        End Set
    End Property

    Public ReadOnly Property [Error] As String Implements System.ComponentModel.IDataErrorInfo.Error
        Get
            Throw New NotImplementedException
        End Get
    End Property

    Default Public ReadOnly Property Item(ByVal columnName As String) As String Implements System.ComponentModel.IDataErrorInfo.Item
        Get
            Dim Result As String = Nothing
            Select Case columnName
                Case "FirstName"
                    If Not FirstName.Length > 1 Then
                        Result = "First Name must be at least 2 characters long"
                    ElseIf FirstName.Length > 10 Then
                        Result = "First Name cannot be longer than 10 characters"
                    End If
                Case "LastName"
                    If Not LastName.Length > 1 Then
                        Result = "Last Name must be at least 2 characters long"
                    End If
            End Select
            Return Result
        End Get
    End Property
End Class
