﻿Public Class CustomControl1
    Inherits Control
    Public Shared ReadOnly TimeProperty As DependencyProperty
    Private myTimer As New System.Timers.Timer
    Delegate Sub SetterDelegate()

    Shared Sub New()
        'This OverrideMetadata call tells the system that this element wants to provide a style that is different than its base class.
        'This style is defined in Themes\Generic.xaml
        DefaultStyleKeyProperty.OverrideMetadata(GetType(CustomControl1), New FrameworkPropertyMetadata(GetType(CustomControl1)))
        Dim metadata As New FrameworkPropertyMetadata()
        TimeProperty = DependencyProperty.Register("Time", GetType(String), _
           GetType(CustomControl1), metadata)
    End Sub
    Public Sub New()
        AddHandler myTimer.Elapsed, AddressOf timer_elapsed
        myTimer.Interval = 1000
        myTimer.Start()
        Me.DataContext = Me
    End Sub
    Private Sub TimeSetter()
        SetValue(TimeProperty, Now.ToLongTimeString)
    End Sub
    Private Sub timer_elapsed(ByVal sender As Object, ByVal e As  _
   System.Timers.ElapsedEventArgs)
        Dispatcher.Invoke(Windows.Threading.DispatcherPriority.Normal, New  _
           SetterDelegate(AddressOf TimeSetter))
    End Sub

End Class
