﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Lesson_1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            Lesson_1.NwindDataSet nwindDataSet = ((Lesson_1.NwindDataSet)(this.FindResource("nwindDataSet")));
            // Load data into the table Customers. You can modify this code as needed.
            Lesson_1.NwindDataSetTableAdapters.CustomersTableAdapter nwindDataSetCustomersTableAdapter = new Lesson_1.NwindDataSetTableAdapters.CustomersTableAdapter();
            nwindDataSetCustomersTableAdapter.Fill(nwindDataSet.Customers);
            System.Windows.Data.CollectionViewSource customersViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("customersViewSource")));
            customersViewSource.View.MoveCurrentToFirst();
            // Load data into the table Orders. You can modify this code as needed.
            Lesson_1.NwindDataSetTableAdapters.OrdersTableAdapter nwindDataSetOrdersTableAdapter = new Lesson_1.NwindDataSetTableAdapters.OrdersTableAdapter();
            nwindDataSetOrdersTableAdapter.Fill(nwindDataSet.Orders);
            System.Windows.Data.CollectionViewSource customersOrdersViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("customersOrdersViewSource")));
            customersOrdersViewSource.View.MoveCurrentToFirst();
            // Load data into the table Order_Details_Extended. You can modify this code as needed.
            Lesson_1.NwindDataSetTableAdapters.Order_Details_ExtendedTableAdapter nwindDataSetOrder_Details_ExtendedTableAdapter = new Lesson_1.NwindDataSetTableAdapters.Order_Details_ExtendedTableAdapter();
            nwindDataSetOrder_Details_ExtendedTableAdapter.Fill(nwindDataSet.Order_Details_Extended);
            System.Windows.Data.CollectionViewSource customersOrdersOrder_Details_ExtendedViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("customersOrdersOrder_Details_ExtendedViewSource")));
            customersOrdersOrder_Details_ExtendedViewSource.View.MoveCurrentToFirst();
        }
    }
}
