﻿Class Window1
    Dim WithEvents aWorker As New System.ComponentModel.BackgroundWorker()
    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()
        aWorker.WorkerSupportsCancellation = True
        ' Add any initialization after the InitializeComponent() call.

    End Sub

    Private Sub aWorker_DoWork(ByVal sender As Object, ByVal e As System.ComponentModel.DoWorkEventArgs) Handles aWorker.DoWork
        For i As Integer = 0 To 500
            For j As Integer = 1 To 10000000

            Next
            If aWorker.CancellationPending Then
                e.Cancel = True
                Exit For
            End If
            Dim update As New UpdateDelegate(AddressOf UpdateLabel)
            Label1.Dispatcher.BeginInvoke(Windows.Threading.DispatcherPriority.Normal, update, i)
        Next
    End Sub

    Private Sub aWorker_RunWorkerCompleted(ByVal sender As Object, ByVal e As System.ComponentModel.RunWorkerCompletedEventArgs) Handles aWorker.RunWorkerCompleted
        If Not e.Cancelled Then
            Label2.Content = "Run Completed"
        Else
            Label2.Content = "Run Cancelled"
        End If
    End Sub
    Private Delegate Sub UpdateDelegate(ByVal i As Integer)
    Private Sub UpdateLabel(ByVal i As Integer)
        Label1.Content = "Cycles: " & i.ToString
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Label2.Content = ""
        aWorker.RunWorkerAsync()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles Button2.Click
        aWorker.CancelAsync()
    End Sub
End Class
